<?php
$getSlotData = $block->getConfig();
$slotsessionInfo = $block->getSlotInfo();
$slotId = '';
$slotGroup = '';
if (is_object($slotsessionInfo)) {
  if ($slotsessionInfo->slot_id != null) {
    $slotId = $slotsessionInfo->slot_id;
    $slotGroup = $slotsessionInfo->slot_group;
  }
}
$_shippingRateGroups = $block->getShippingRates();
if ($_shippingRateGroups):
?>
<div class="admin__field order-create-field">
  <label class="label admin__field-label">
      <span><?php echo __('Select Time Slot'); ?></span>
  </label>
</div>
<?php
  if(count($getSlotData['slotData'])>0){
    foreach($getSlotData['slotData']['slots'] as $date => $slotData): ?>
      <table class="table time-slot">
        <tbody>
          <tr class="slot-row">
            <td class="first-child">
                <span class="day-time"><?= $block->escapeHtml(date('l, d F, Y', strtotime($date))) ?></span>
            </td>
            <td>
              <?php foreach($slotData as $slotValues): ?>
                <div class="slot <?php if(!$slotValues['is_available']){ echo "slot_disabled";} elseif($slotId == $slotValues['slot_id'] && $slotGroup == $slotValues['slot_group']){ echo "selected";}?>">
                  <input class="admin__control-radio delveryDate required-entry" type="radio" class="radio" name="time_slot" data-slot-group="<?= $block->escapeHtml($slotValues['slot_group']) ?>" data-order-date="<?= $block->escapeHtml(date('l, d F, Y', strtotime($date))) ?>" <?php if(!$slotValues['is_available']){ echo "disabled";} if($slotId == $slotValues['slot_id'] && $slotGroup == $slotValues['slot_group'] && $slotValues['is_available']){ echo "checked";} ?> value="<?= $block->escapeHtml($slotValues['slot']) ?>" id="<?= $block->escapeHtml($slotValues['slot_id']) ?>" />
                  <label><?= $block->escapeHtml($slotValues['slot']) ?></label>
                </div>
              <?php endforeach; ?>
            </td>
          </tr>
        </tbody>
      </table>
  <?php endforeach; ?>
  <?php if(!$getSlotData['slotcount']):?>
  <div class="no-slots-block">
    <span><?= $block->escapeHtml($getSlotData['slotData']['message']) ?></span>
  </div>
  <?php endif; ?>
  <script>
      require([
          'jquery'
      ], function($){
          $('.delveryDate').on('change', function(event)
          {
              $('.delveryDate').parent().removeClass('selected');
              $(this).parent().addClass('selected');
              order.loadArea(['shipping_method'], true, {date : $(this).attr('data-order-date'),slot_time: $(this).val(),slot_id: $(this).attr('id'),slot_group: $(this).attr('data-slot-group')});
          });
      });
  </script>
<?php
  }else{
    echo __('No time slots available');
  }
endif; ?>
